package workers;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * This Class works through all kinds of Machine-Related Values such as Screen size, Machine Name, OS etc.
 * Created by Simon on 12.12.2016.
 */
public class MachineWorker {
    static int OperatingSystem;
    static String HostName;
    static int[] Screen;

    public static String getHostName() {
        try {
            InetAddress addr;
            addr = InetAddress.getLocalHost();
            HostName = addr.getHostName();
        } catch (UnknownHostException ex) {
            System.out.println("Hostname can not be resolved");
        }
        return HostName;
    }

    public static int[] getScreen() {
        return Screen;
    }

}
